services:
  prowlarr:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: lscr.io/linuxserver/prowlarr:2.3.5
    container_name: prowlarr
    ports:
      - 2004:9696
    networks:
      - ip4net
    volumes:
      - ${MEDIA_PATH}/prowlarr/config:/config
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.prowlarr.rule=Host(`prowlarr.${LOCAL_DOMAIN}`)"
      - "traefik.http.routers.prowlarr.entrypoints=https"
      - "traefik.http.routers.prowlarr.tls=true"

  mousehole:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    ports:
      - 5010:5010
    image: tmmrtn/mousehole:0.2.0
    volumes:
      - ${MEDIA_PATH}/prowlarr/mousehole:/srv/mousehole
